%define		_status		beta
%define		_pearname	Validate
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - Validation class
Summary(pl.UTF-8):	%{_pearname} - klasa sprawdzająca poprawność danych
Name:		php-pear-%{_pearname}
Version:	0.8.5
Release:	2
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	3007fbf7debbb7c0fc20622f90096eb9
URL:		http://pear.php.net/package/Validate/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.654
Requires:	php(core) >= 4.2.0
Requires:	php-pear
Suggests:	php-pear-Date
Suggests:	php-pear-Net_IDNA
Obsoletes:	php-pear-Validate-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_pear Date.* Net/IDNA.*

%description
Package to validate various data. It includes:
- numbers (min/max, decimal or not),
- email (syntax, domain check),
- string (predifined type alpha upper and/or lowercase, numeric,...),
- date (min, max),
- Credit cards,
- possibility valid multiple data with a single method call
  (::multiple).

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet do sprawdzania poprawności różnych danych:
- liczb (minimalna/maksymalna, dziesiętne czy nie),
- adresy e-mail (składnia, sprawdzanie domeny),
- łańcuchy znaków (predefiniowane typy alfanumeryczne z dużymi i
  małymi literami, numeryczne...),
- daty (minimalna, maksymalna),
- karty kredytowe,
- możliwe sprawdzenie większej ilości danych wywołaniem pojedynczej
  metody (::multiple).

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/*.php
%changelog
* Wed May 14 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Validate.git;a=log;h=master

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 697ee5e
- use rpm4/rpm5 compatible _noautoreq pear

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> df10199
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 7801666
- updated to: 0.8.5

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 7d8fa71
- release 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> a974a1d
- dropped -tests subpackage

* Tue Nov 16 2010 Elan Ruusamäe <glen@pld-linux.org> 7a2a371
- updated to: 0.8.4

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 3857767
- updated deps with pearize.sh
- release 2

* Mon Jan 04 2010 Adam Gołębiowski <adamg@pld-linux.org> e9d2002
- updated to 0.8.3

* Sun Feb 01 2009 Adam Gołębiowski <adamg@pld-linux.org> 4f6d2f8
- updated to 0.8.2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> e318349
- rel 2

* Sat Dec 22 2007 Adam Gołębiowski <adamg@pld-linux.org> c21cf6a
- updated to 0.8.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2156678
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 59c30d7
- converted to UTF-8

* Sat Dec 30 2006 Adam Gołębiowski <adamg@pld-linux.org> c4cc24b
- updated to 0.7.0

* Mon Sep 04 2006 Adam Gołębiowski <adamg@pld-linux.org> 08c2b85
- don't use epoch if not defined

* Sun Aug 06 2006 Adam Gołębiowski <adamg@pld-linux.org> 5c58810
- updated to 0.6.4

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 6b91c31
- BR rpm-build macros >= 1.300 for %pear_ macros

* Mon Apr 24 2006 Adam Gołębiowski <adamg@pld-linux.org> f13bd53
- updated to 0.6.3

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> a31a61f
- AutoProv: no for -tests

* Tue Mar 07 2006 sparky <sparky@pld-linux.org> a2423e3
- s/datas/data/ in en desc: "data" is the plural noun, singular of it is
  "datum", "datas" word does not exist

